org.apache.ignite.events

## Class SwapSpaceEvent

- java.lang.Object
- - org.apache.ignite.events.EventAdapter
  - - org.apache.ignite.events.SwapSpaceEvent

All Implemented Interfaces:
  Serializable, Comparable<Event>, Event

    public class SwapSpaceEvent
    extends EventAdapter

Grid swap space event.

Grid events are used for notification about what happens within the grid. Note that by design Ignite keeps all events generated on the local node locally and it provides APIs for performing a distributed queries across multiple nodes:

- `IgniteEvents.remoteQuery(org.apache.ignite.lang.IgnitePredicate, long, int...)` - asynchronously querying events occurred on the nodes specified, including remote nodes.
- `IgniteEvents.localQuery(org.apache.ignite.lang.IgnitePredicate, int...)` - querying only local events stored on this local node.
- `IgniteEvents.localListen(org.apache.ignite.lang.IgnitePredicate, int...)` - listening to local grid events (events from remote nodes not included).

User can also wait for events using method `IgniteEvents.waitForLocal(org.apache.ignite.lang.IgnitePredicate, int...)`.

# Events and Performance

Note that by default all events in Ignite are enabled and therefore generated and stored by whatever event storage SPI is configured. Ignite can and often does generate thousands events per seconds under the load and therefore it creates a significant additional load on the system. If these events are not needed by the application this load is unnecessary and leads to significant performance degradation.

It is highly recommended to enable only those events that your application logic requires by using `IgniteConfiguration.getIncludeEventTypes()` method in Ignite configuration. Note that certain events are required for Ignite's internal operations and such events will still be generated but not stored by event storage SPI if they are disabled in Ignite configuration.

See Also:
  `EventType.EVT_SWAP_SPACE_DATA_READ`, `EventType.EVT_SWAP_SPACE_DATA_STORED`, `EventType.EVT_SWAP_SPACE_DATA_REMOVED`, `EventType.EVT_SWAP_SPACE_CLEARED`, `EventType.EVT_SWAP_SPACE_DATA_EVICTED`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SwapSpaceEvent(ClusterNode node, String msg, int type, String space)` Creates swap space event.

### Method Summary

Methods
`String` `shortDisplay()` Gets a shortened version of `toString()` result.
`String` `space()` Gets swap space name.
`String` `toString()`

### Methods inherited from class org.apache.ignite.events.EventAdapter

`compareTo, equals, hashCode, id, localOrder, message, message, name, node, node, timestamp, type, type`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SwapSpaceEvent

    public SwapSpaceEvent(ClusterNode node,
                  String msg,
                  int type,
                  @Nullable
                  String space)

Creates swap space event.

Parameters:
  `node` - Node.
  `msg` - Optional message.
  `type` - Event type.
  `space` - Swap space name (`null` for default space).

### Method Detail

#### space

    @Nullable
    public String space()

Gets swap space name.

Returns:
  Swap space name or `null` for default space.

#### shortDisplay

    public String shortDisplay()

Gets a shortened version of `toString()` result. Suitable for humans to read.

Specified by:
  `shortDisplay` in interface `Event`
Overrides:
  `shortDisplay` in class `EventAdapter`
Returns:
  Shortened version of `toString()` result.

#### toString

    public String toString()

Overrides:
  `toString` in class `EventAdapter`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017